---
title: TextEncoder()
slug: Web/API/TextEncoder/TextEncoder
tags:
  - API
  - Constructor
  - Encoding
  - Reference
  - TextEncoder
---
<p>{{APIRef("Encoding API")}}</p>

<p>The <code><strong>TextEncoder()</strong></code> constructor returns a newly created utf-8 {{DOMxRef("TextEncoder")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>encoder</var> = new TextEncoder();
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>TextEncoder()</code> takes no parameters since Firefox 48 and Chrome 53</li>
</ul>

<div class="notecard note">
<p><strong>Note</strong>: Prior to Firefox 48 and Chrome 53, an encoding type label was accepted as a paramer to the <code>TextEncoder</code> object, since then both browers have removed support for any encoder type other than <code>utf-8</code>, to match the <a href="https://www.w3.org/TR/encoding/#dom-textencoder">spec</a>. Any type label passed into the <code>TextEncoder</code> constructor will now be ignored and a <code>utf-8</code> <code>TextEncoder</code> will be created.</p>
</div>

<h3 id="Exceptions">Exceptions</h3>

<ul>
 <li><code>TextEncoder()</code> throws no exceptions since Firefox 48 and Chrome 53</li>
</ul>

<div class="notecard note">
<p><strong>Note</strong>: Prior to Firefox 48 and Chrome 53 an exception would be thrown for an unknown encoding type.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Encoding", "#dom-textencoder", "TextEncoder()")}}</td>
   <td>{{Spec2("Encoding")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.TextEncoder.TextEncoder")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{DOMxRef("TextEncoder")}} interface it belongs to.</li>
</ul>
